Subject: Re: [Speechsc] mrcpv2-01: tokens versus letters or numbers

From: Sarvi Shanmugham <[email-masked]>
Date: Mon, 02 Feb 2004 23:06:42 -0800

Eric Burger wrote:

>Channel Identifier (S 5.4)
>
>Why is the channel identifier hex?  Why is it not just a token -- a handle passed back and forth?
>
Was just trying to be similar to SIP.

>
>Also, the text still says the low two characters indicate the resource, but we have the @resource construction that makes the encoding redundant.
>
This is an error. I need to remove the 2 character describption.

>
>Is there any reason for this being a number and not a string?  If it is a string, I could see it being case sensitive to expand the token space, or leave it case insensitive, as there is no limit to the length of the string.
>
>Should there be a length of the string?
>
Don't see a need to impose a length. considering there will be a well 
defined list of resource types, and case insensitive would be my preference.

>
>
>
>Proxy-Sync-Id, Logging-Tag
>Same thing here.  Why is it a letter string and not a token?  This really is a cookie.
>
it was meant to be an alphanumeric token.

>
>
>Recognizer Context Block
>Is this always ASCII printable A-Z characters?  Does the server community need this to be a binary object?
>  
>
I think we should allow a binary blob here.

>
>Failed URI Cause
>Is this supposed to be the code and text from the protocol, e.g., if http?  If so, the ABNF does not allow spaces.
>
Will fix.

Sarvi

>
>Input from the server community welcome, too.
>
>
>_______________________________________________
>Speechsc mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/speechsc
>
>  
>

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc